%bcond_with base_python

%define python_build_version 3.9
%define __python %{_bindir}/python%{python_build_version}

%if %{with base_python}
%define python_suffix %{expand:%%{lua: str='%{python_build_version}'; print(str:sub(1, 1))}}
%else
%define python_suffix %{expand:%%{lua: str='%{python_build_version}'; print(str:sub(1, 1) .. str:sub(3,-1))}}
%endif

%define pypi_name ibm_db

Name: python%{python_suffix}-%{pypi_name}
Version: 2.0.5.15
Release: 1
License: Apache-2.0
Summary: Python support for IBM Db2
Url: https://github.com/ibmdb/python-ibmdb
Source: https://github.com/kadler/python-ibmdb/archive/%{version}.zip

BuildRequires: python%{python_suffix}-devel
BuildRequires: python%{python_suffix}-pip
BuildRequires: sqlcli-devel

BuildRequires: python%{python_suffix}-six

Requires: python%{python_suffix}-six

%description
Python support for IBM Db2

%prep
%setup -q -n python-ibmdb-%{version}

%build
cd IBM_DB/ibm_db

export CFLAGS="-I%{_includedir}/cli"

%py_build_wheel

%install
cd IBM_DB/ibm_db

%py_install_wheel %{pypi_name}-%{version}-cp%{python_version_nodots}-cp%{python_version_nodots}-os400_powerpc64.whl

# TODO: this should be fixed in the setup.py to not install this stuff
rm %{buildroot}%{_prefix}/CHANGES
rm %{buildroot}%{_prefix}/LICENSE
rm %{buildroot}%{_prefix}/README
rm %{buildroot}%{_prefix}/config.py.sample

rm -r %{buildroot}%{python_sitelib}/test*

sed -i 's|pip|rpm|g' %{buildroot}%{python_sitelib}/*.dist-info/INSTALLER

%files
%defattr(-, qsys, *none)

%{python_sitelib}/__pycache__/*.pyc
%{python_sitelib}/ibm_db*

%changelog
* Thu Apr 11 2024 Kevin Adler <kadler@us.ibm.com> - 2.0.5.15
- Update to 2.0.5.15

* Thu Feb 10 2022 Kevin Adler <kadler@us.ibm.com> - 2.0.5.14
- Update to 2.0.5.14

* Tue Jun 22 2021 Kevin Adler <kadler@us.ibm.com> - 2.0.5.12
- Port to Python 3.9
- Use macros from python-rpm-macros

* Mon Dec 16 2019 Kevin Adler <kadler@us.ibm.com>
- Upgrade to 2.0.5.12
- Use sqlcli-devel instead of our own header files

* Thu Jan 03 2019 - Kevin Adler <kadler@us.ibm.com>
- Add missing BuildRequires for six

* Thu Jan 03 2019 - Kevin Adler <kadler@us.ibm.com>
- Ensure python packages have necessary dependencies listed

* Wed Nov 28 2018 - Kevin Adler <kadler@us.ibm.com>
- Update to 2.0.5.9

* Sun Aug 05 2018 - Kevin Adler <kadler@us.ibm.com>
- Set INSTALLER to be "rpm" instead of "pip"
- Add --no-index to pip, so it doesn't attempt to connect to the internet

* Thu Aug 02 2018 - Kevin Adler <kadler@us.ibm.com>
- Update build requirements

* Thu Aug 02 2018 - Kevin Adler <kadler@us.ibm.com>
- Update to 2.0.5.8 for next() fix

* Thu Jul 05 2018 - Kevin Adler <kadler@us.ibm.com>
- Fix description and license

* Fri Jun 08 2018 - Kevin Adler <kadler@us.ibm.com>
- Update to 2.0.5.7

* Tue May 08 2018 - Kevin Adler <kadler@us.ibm.com>
- Define PASE macro because code doesn't use __PASE__ yet :(

* Mon May 07 2018 - Kevin Adler <kadler@us.ibm.com>
- Add python%{python_suffix}-devel build require

* Mon May 07 2018 - Kevin Adler <kadler@us.ibm.com>
- Update 2.0.5.6 to fix set_option

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Fix version

* Tue Nov 07 2017 - Kevin Adler <kadler@us.ibm.com>
- Initial package
